Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-5008

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2011-5008
Last Modified 16 Feb 2012 11:10:49
Published 24 Dec 2011 08:55:04
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2011-5008

Summary

Integer overflow in the GatewayService component in 3S CoDeSys 3.4 SP4 Patch 2 allows remote attackers to execute arbitrary code via a large size value in the packet header, which triggers a heap-based buffer overflow.

Vulnerable Systems

Application

  • 3ssoftware Codesys 3.4


References

MISC - http://www.us-cert.gov/control_systems/pdf/ICS-ALERT-11-336-01A.pdf

OSVDB - 77386

SECUNIA - 47018

BUGTRAQ - 20111129 Vulnerabilities in 3S CoDeSys 3.4 SP4 Patch 2

MISC - http://aluigi.altervista.org/adv/codesys_1-adv.txt

XF - codesys-gatewayservice-bo(71531)


Last Updated: 27 May 2016 10:57:17